This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447525 - popping sound on audio initilization
popping sound on audio initilization
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 07:16 EDT by Davide Repetto
Modified: 2008-06-04 07:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 07:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Repetto 2008-05-20 07:16:00 EDT
Description of problem:

A spyke in volume happens when audio is initialized by any application
You hear the classical popping sound, whenever an app uses audio, as if 
pulseaudio spyked the volume UP, instead of ramping it up "slowly"

Plus, in many apps che volume control acts "jerky", actually jumping around 
while you move the volume-control sliders.


Version-Release number of selected component (if applicable):

# rpm -qa | grep -i alsa
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
alsa-lib-devel-1.0.16-3.fc9.i386
bluez-utils-alsa-3.30-2.fc9.i386
alsa-utils-1.0.16-2.fc9.i386
alsa-lib-1.0.16-3.fc9.i386

# rpm -qa | grep -i pulseaudio
pulseaudio-module-x11-0.9.10-1.fc9.i386
pulseaudio-module-gconf-0.9.10-1.fc9.i386
pulseaudio-utils-0.9.10-1.fc9.i386
xine-lib-pulseaudio-1.1.12-2.fc9.i386
pulseaudio-libs-0.9.10-1.fc9.i386
pulseaudio-0.9.10-1.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
pulseaudio-libs-glib2-0.9.10-1.fc9.i386
pulseaudio-core-libs-0.9.10-1.fc9.i386
pulseaudio-esound-compat-0.9.10-1.fc9.i386

# lspci | grep -i audio
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/
ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)

# uname -r
2.6.25.3-18.fc9.i686

How reproducible:
Always - It happens also while initializind audio at boot time

Steps to Reproduce:
1. Open any audio app and play a sound
  
Actual results:
"Volume POP" + Your Sound

Expected results:
Your Sound without the popping


Additional info:
*Not* tested on any other hardware - Sorry
Comment 1 Lennart Poettering 2008-06-04 07:40:08 EDT
Sounds like a driver bug to me. If the audio output is initialized no popping
sound should happen. Takashi is working on fixing the remaining issues in those
drivers.

Note You need to log in before you can comment on or make changes to this bug.